#############
# Equipment #
#############

execute if entity @s[type=#valiance:can_have_cursed_armor,type=!minecraft:drowned] if score #valiance.temp.is_baby valiance.dummy matches 0 if predicate valiance:random_chance/30 run function valiance:entity/technical/register/equipment/cursed_armor/start
execute if entity @s[type=minecraft:wither_skeleton] if predicate valiance:random_chance/10 run function valiance:entity/technical/register/equipment/cursed_armor/wither_skeleton
execute if entity @s[type=minecraft:piglin] if predicate valiance:random_chance/20 run function valiance:entity/technical/register/equipment/cursed_armor/piglin

execute if predicate valiance:random_chance/30 if entity @s[type=#valiance:skeletons_no_wither_skeleton] if items entity @s weapon.mainhand minecraft:bow run item modify entity @s weapon.mainhand valiance:enchant_with_levels/25

########
# Edit #
########

execute if predicate valiance:random_chance/20 if predicate valiance:weather_check/rain if entity @s[type=minecraft:zombie] if predicate valiance:location_check/altitude/60_and_higher run function valiance:entity/technical/register/drowned/land_drowned

execute if predicate valiance:random_chance/30 if predicate valiance:weather_check/thundering if entity @s[type=minecraft:creeper] if predicate valiance:location_check/altitude/60_and_higher run data modify entity @s powered set value 1

execute if entity @s[type=#valiance:has_challenger_idol_effects] if predicate valiance:random_chance/30 run function valiance:entity/technical/register/effects/challenger_idol

######################
# One-Off Attributes #
######################

execute if entity @s[type=minecraft:enderman] run attribute @s minecraft:movement_speed base set 0.35
execute if entity @s[type=#valiance:spiders] run attribute @s minecraft:fall_damage_multiplier base set 0

#############
# New Mobs? #
#############

execute if entity @s[type=#valiance:zombies,type=!minecraft:drowned] if predicate valiance:random_chance/3 if predicate valiance:location_check/altitude/60_and_higher if predicate valiance:location_check/can_see_sky unless entity @n[tag=valiance.entity.gallant,distance=..200] run function valiance:entity/technical/register/gallant/start