data merge entity @s {Offers:{Recipes:[]}}

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:stone",count:1b},sell:{id:"minecraft:stone",count:1b},maxUses:999}
loot replace entity @s weapon.mainhand loot valiance:item/bedazzle_rod
data modify entity @s Offers.Recipes[-1].buy set from entity @s HandItems[0]
data modify entity @s Offers.Recipes[-1].buy.count set value 2
loot replace entity @s weapon.mainhand loot valiance:item/bounty
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[0]

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:blaze_rod",count:2b},sell:{id:"minecraft:stone",count:1b},maxUses:999}
loot replace entity @s weapon.mainhand loot valiance:item/nether_bounty
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[0]

loot replace entity @s weapon.mainhand loot valiance:item/ruby

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:stone",count:1b},sell:{id:"minecraft:stone",count:1b},maxUses:8}
data modify entity @s Offers.Recipes[-1].buy set from entity @s HandItems[0]
loot replace entity @s weapon.offhand loot valiance:gameplay/trades/vigilante/basic_goods
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[1]

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:stone",count:1b},sell:{id:"minecraft:stone",count:1b},maxUses:8}
data modify entity @s Offers.Recipes[-1].buy set from entity @s HandItems[0]
data modify entity @s Offers.Recipes[-1].buy.count set value 3
loot replace entity @s weapon.offhand loot valiance:gameplay/trades/vigilante/rare_goods
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[1]

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:stone",count:1b},sell:{id:"minecraft:stone",count:1b},maxUses:8}
data modify entity @s Offers.Recipes[-1].buy set from entity @s HandItems[0]
data modify entity @s Offers.Recipes[-1].buy.count set value 2
loot replace entity @s weapon.offhand loot valiance:item/tanning_rack
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[1]

execute store result score #valiance.temp valiance.dummy run random value 1..4
execute if score #valiance.temp valiance.dummy matches 1 run function valiance:entity/vigilante/trades/tnt
execute if score #valiance.temp valiance.dummy matches 2 run function valiance:entity/vigilante/trades/totem_of_irregularity
execute if score #valiance.temp valiance.dummy matches 3 run function valiance:entity/vigilante/trades/netherite_upgrade_smithing_template
execute if score #valiance.temp valiance.dummy matches 4 run function valiance:entity/vigilante/trades/lesser_totem_of_undying

execute store result score #valiance.temp valiance.dummy run random value 1..5
execute if score #valiance.temp valiance.dummy matches 1..2 run function valiance:entity/vigilante/trades/enchanted_book_guard
execute if score #valiance.temp valiance.dummy matches 3..4 run function valiance:entity/vigilante/trades/enchanted_book_sharpness
execute if score #valiance.temp valiance.dummy matches 5 run function valiance:entity/vigilante/trades/enchanted_book_mending

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:stone",count:1b},sell:{id:"minecraft:stone",count:1b},maxUses:1}
data modify entity @s Offers.Recipes[-1].buy set from entity @s HandItems[0]
data modify entity @s Offers.Recipes[-1].buy.count set value 10
loot replace entity @s weapon.offhand loot valiance:item/molten_katana
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[1]
execute unless data storage valiance:storage {root:{bounties_completed:["wither_skeletons"]}} run data modify entity @s Offers.Recipes[-1].buyB set value {id:"minecraft:poisonous_potato",count:1b,components:{"minecraft:custom_data":{valiance:{lock:"wither_skeletons"}},"minecraft:item_model":"valiance:gui/locked_trade","minecraft:item_name":'{"translate":"ui.valiance.locked_trade","color":"white","with":[{"translate":"entity.minecraft.wither_skeleton"}]}'}}

data modify entity @s Offers.Recipes append value {buy:{id:"minecraft:stone",count:1b},sell:{id:"minecraft:stone",count:1b},maxUses:1}
data modify entity @s Offers.Recipes[-1].buy set from entity @s HandItems[0]
data modify entity @s Offers.Recipes[-1].buy.count set value 20
loot replace entity @s weapon.offhand loot valiance:item/music_disc_unknown_title
data modify entity @s Offers.Recipes[-1].sell set from entity @s HandItems[1]
execute unless data storage valiance:storage {root:{bounties_completed:["endermen"]}} run data modify entity @s Offers.Recipes[-1].buyB set value {id:"minecraft:poisonous_potato",count:1b,components:{"minecraft:custom_data":{valiance:{lock:"endermen"}},"minecraft:item_model":"valiance:gui/locked_trade","minecraft:item_name":'{"translate":"ui.valiance.locked_trade","color":"white","with":[{"translate":"entity.minecraft.enderman"}]}'}}

item replace entity @s weapon.mainhand with minecraft:air