# New Mobs

execute if predicate valiance:random_chance/20 if entity @s[type=minecraft:skeleton] if entity @p[distance=..64,predicate=valiance:location_check/altitude/-64_to_32] if predicate valiance:location_check/dimension/overworld if predicate valiance:location_check/altitude/-64_to_32 unless predicate valiance:location_check/structure/do_not_spawn_custom_mobs unless entity @a[gamemode=!creative,distance=..20] at @s run function valiance:entity/technical/register/bedazzle/spawn
execute if entity @s[type=minecraft:creeper] if entity @p[distance=..64,predicate=valiance:location_check/altitude/-64_to_32] if predicate valiance:location_check/dimension/overworld if predicate valiance:location_check/altitude/-64_to_0 unless predicate valiance:location_check/structure/do_not_spawn_custom_mobs unless entity @a[gamemode=!creative,distance=..20] at @s run function valiance:entity/technical/register/jeeper/start
execute if predicate valiance:random_chance/10 if entity @s[type=minecraft:villager] unless data entity @s {VillagerData:{profession:"minecraft:nitwit"}} run function valiance:entity/technical/register/howlager/modify_villager

execute if entity @a[distance=..100,scores={valiance.challenger_mode_active=1}] unless predicate valiance:location_check/structure/do_not_spawn_custom_mobs run function valiance:entity/technical/register/challenger_mode

# Mob Changes

execute if entity @s[type=#valiance:zombies] run function valiance:entity/technical/register/zombie/start
execute if entity @s[type=minecraft:spider] run function valiance:entity/technical/register/spider/start

# Rebalancing

execute if entity @s[type=minecraft:evoker,tag=!valiance.registered] run function valiance:entity/technical/register/traits/evoker
execute if entity @s[type=minecraft:vex,tag=!valiance.registered] run function valiance:entity/technical/register/traits/vex

# Equipment

execute if entity @s[type=#minecraft:skeletons,type=!minecraft:wither_skeleton] if predicate valiance:random_chance/30 unless predicate valiance:location_check/structure/do_not_spawn_custom_mobs run loot replace entity @s weapon.mainhand loot valiance:equipment/weapon/skeleton
execute if entity @s[type=minecraft:piglin] if predicate valiance:random_chance/50 if items entity @s weapon.mainhand minecraft:golden_sword unless predicate valiance:location_check/structure/do_not_spawn_custom_mobs run loot replace entity @s weapon.mainhand loot valiance:equipment/weapon/piglin
execute if entity @s[type=minecraft:zombified_piglin] if predicate valiance:random_chance/50 if items entity @s weapon.mainhand minecraft:golden_sword unless predicate valiance:location_check/structure/do_not_spawn_custom_mobs unless entity @a[gamemode=!creative,distance=..20] run loot replace entity @s weapon.mainhand loot valiance:equipment/weapon/piglin